=== debian/changelog ===
vobsub2srt-dmo (1.0~pre7+20171219-dmo2) unstable; urgency=medium

  * Add tesseract-ocr-lang and remove tesseract-ocr from Depends.
  * Remove 'Suggests: tesseract-ocr-data'

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Mar 2019 10:09:23 +0100

vobsub2srt-dmo (1.0~pre7+20171219-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Jul 2018 17:18:31 +0200

vobsub2srt (1.0~pre6+20150323-dmo3) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 18:36:30 +0100

vobsub2srt (1.0~pre6+20150323-dmo2) unstable; urgency=medium

  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2015 15:27:05 +0200

vobsub2srt (1.0~pre6+20150323-dmo1) unstable; urgency=medium

  * Git snapshot (f5225896).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Mar 2015 08:57:01 +0100

vobsub2srt (1.0~pre6+1c782e53-dmo2) unstable; urgency=medium

  * Rebuild against libtiff5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2013 00:36:31 +0100

vobsub2srt (1.0~pre6+1c782e53-dmo1) unstable; urgency=low

  * Git snapshot.
  * This version add (at least) the --tesseract-lang option (Thanks to
    Krzysztof Bieniasz for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Oct 2013 17:23:30 +0200

vobsub2srt (1.0~pre6-dmo2) unstable; urgency=low

  * Replaces tesseract by tesseract-ocr in Depends (Thanks to Peter Keel)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jul 2013 16:28:30 +0200

vobsub2srt (1.0~pre6-dmo1) unstable; urgency=low

  * New upstream release.
  * Replaces tesseract-ocr-dev by libtesseract-dev in Build-Depends.
  * Need to depends on tesseract (Thanks to Zachary Palmer for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Jul 2013 19:15:12 +0200

vobsub2srt (0.0+git20120517-dmo1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 May 2012 10:15:52 +0200
