=== debian/control ===
Source: vobsub2srt-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/ruediger/VobSub2SRT/
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 12), cmake, libavutil-dev, pkg-config, quilt,
 libtesseract-dev (>= 3.04.01~), bash-completion
 
Package: vobsub2srt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tesseract-ocr-lang
Description: convert .idx/.sub subtitles into .srt
 VobSub2SRT is a simple command line program to convert .idx/.sub subtitles
 into .srt text subtitles by using OCR. It is based on code from the
 MPlayer projec. Tesseract is used as OCR software.
