=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt,bash-completion -Scmake -Bbuild
