=== debian/watch ===
version=4

##opts="dversionmangle=s/~pre6|-26-g0122ce7|-31-g1c782e5//"


#http://ppa.launchpad.net/ruediger-c-plusplus/vobsub2srt/ubuntu/pool/main/v/vobsub2srt/vobsub2srt_(.*)@ARCHIVE_EXT@
